Target version:    

Resolution: Fixed Affected version:  

Description

Permission table for trackers (placed on the bottom of permissions page for a Role) does not have "check/uncheck all" icon.

Almost all tables which have many checkboxes have "check/uncheck all" icon (e.g., Workflow, Permissions report, Trackers

summary). I think that also permission table for trackers should have the icon for usability and consistency. Checking/Unchecking

many checkboxes is tiresome work especially when the Redmine instance has many trackers.

 

 

Related issues:

Related to Redmine - Patch #28242: Add toggle checkboxes link (green tick) to... Closed

History

#1 - 2018-03-29 06:38 - Go MAEDA

- Description updated

#2 - 2018-03-29 07:50 - Go MAEDA

- Related to Patch #28242: Add toggle checkboxes link (green tick) to several screens   added

#3 - 2018-03-29 08:05 - Marius BĂLTEANU

I thought about it too, but I wasn't sure how to deal with the All trackers row. If this is checked, all checkboxes from that column are already disabled,

so the tick will be useless.

#4 - 2018-03-29 08:46 - Mizuki ISHIKAWA

- File add-toggle-checkboxes-to-role-permissions-trackers.patch added

- File issue-tracking.png added

 issue-tracking.png 
I tried writing a patch to add a toggle checkboxes link only to the row.

However, I think that it may be better to have a "row" and "all" toggle checkboxes link instead of the All trackers row like other screens.

#5 - 2018-04-02 16:53 - Go MAEDA

- Target version set to 4.1.0

LGTM, setting target version to 4.1.0.

Marius Ionescu, what do you think about Mizuki's implementation? It has checkboxes only for rows, I think it still useful.

#6 - 2018-04-02 16:54 - Marius BĂLTEANU

Go MAEDA wrote:

Marius Ionescu, what do you think about Mizuki's implementation? It has checkboxes only for rows, I think it still useful.

 Agree.

#7 - 2018-04-04 06:16 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version deleted (4.1.0)

- Resolution set to Fixed

Committed in r17256 as a part of #28242. Thank you for your contribution.
